/**
 * Copyright (c) 2009, WSO2 Inc. (http://www.wso2.org) All Rights Reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.wso2.carbon.mediation.initializer.services;

import org.apache.synapse.config.SynapseConfiguration;
import org.apache.axis2.context.ConfigurationContext;

public class SynapseConfigurationServiceImpl implements SynapseConfigurationService {

    private SynapseConfiguration synapseConfiguration;

    private ConfigurationContext configurationContext;

    private int tenantId;
    
    public SynapseConfigurationServiceImpl(SynapseConfiguration synapseConfiguration,
                                           int tenantId,
                                           ConfigurationContext configurationContext) {
        this.synapseConfiguration = synapseConfiguration;
        this.tenantId = tenantId;
        this.configurationContext = configurationContext;
    }

    public SynapseConfiguration getSynapseConfiguration() {
        return synapseConfiguration;
    }

    public void setSynapseConfiguration(SynapseConfiguration synapseConfiguration) {
        this.synapseConfiguration = synapseConfiguration;
    }

    public ConfigurationContext getConfigurationContext() {
        return configurationContext;
    }

    public int getTenantId() {
        return tenantId;
    }
}
